SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Directory)  >   OpenLDAP Vendors:   OpenLDAP.org
(Oracle Issues Fix for Oracle Linux) OpenLDAP Double Free Memory Error Lets Remote Authenticated Users Cause the Target slapd Service to Crash
SecurityTracker Alert ID:  1039122
SecurityTracker URL:  http://securitytracker.com/id/1039122
CVE Reference:   CVE-2017-9287   (Links to External Site)
Date:  Aug 10 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in OpenLDAP. A remote authenticated user can cause the target service to crash.

A remote authenticated user that can search the directory can issue a specially crafted search query that includes the Paged Results control set to a page size of 0 to trigger a double free memory error in 'servers/slapd/back-mdb/search.c' and cause the target slapd service to crash.

Karsten Heymann reported this vulnerability.

Impact:   A remote authenticated user can cause the target slapd service to crash.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-1852.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-1852.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
May 31 2017 OpenLDAP Double Free Memory Error Lets Remote Authenticated Users Cause the Target slapd Service to Crash



 Source Message Contents

Subject:  [El-errata] ELSA-2017-1852 Moderate: Oracle Linux 7 openldap security, bug fix, and enhancement update

Oracle Linux Security Advisory ELSA-2017-1852

http://linux.oracle.com/errata/ELSA-2017-1852.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
openldap-2.4.44-5.el7.i686.rpm
openldap-2.4.44-5.el7.x86_64.rpm
openldap-clients-2.4.44-5.el7.x86_64.rpm
openldap-devel-2.4.44-5.el7.i686.rpm
openldap-devel-2.4.44-5.el7.x86_64.rpm
openldap-servers-2.4.44-5.el7.x86_64.rpm
openldap-servers-sql-2.4.44-5.el7.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/openldap-2.4.44-5.el7.src.rpm



Description of changes:

[2.4.44-5]
- fix CVE-2017-9287 openldap: Double free vulnerability in 
servers/slapd/back-mdb/search.c (#1458210)

[2.4.44-4]
- NSS: Include some CHACHA20POLY1305 ciphers (#1432907)

[2.4.44-3]
- NSS: re-register NSS_Shutdown callback (#1405354)

[2.4.44-2]
- Include MDB tools in openldap-servers (#1428740)

[2.4.44-1]
- Rebase to openldap-2.4.44 (#1386365)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC